/var/log/messages

debugging with sixth sense

Jekyll な問題

#okidevops な成果コンテンツを最近クリーンインストールした Mavericks な OSX に clone して bundle install しようとしたら色々な問題が出てきたので備忘までメモを列挙しておきます。

ええと、とりあえず jekyll なソレを clone してきて

$ bundle install --path vendor/bundle

すると nio4r 1.0.0 を入れてくれ、と言われ gem i すると make できぬと。gcc のバージョンが 4.2 とかだと駄目って情報がありましたので gcc48 を導入したのですが

$ brew tap homebrew/versions
$ brew install gcc48
$ sudo ln -sf /usr/local/bin/gcc-4.8 /usr/bin/gcc
$ sudo ln -sf /usr/local/bin/g++-4.8 /usr/bin/g++

コンパイルエラーが未だ出る。以下の情報によれば ruby のバージョンが微妙、ってことで

rbenv から 2.1.5 な ruby を導入すると bundle install は正常に終了したものの bundle exec rake preview にて以下な issue のエラーが出ました。

書いてあるそのまんまの対処でプレビュー閲覧できました。

Comments